Subject: Re: sky2 still badly broken

From: Niccolò Belli <[email-masked]>
Date: Thu, 03 May 2012 21:36:50 +0200

Il 03/05/2012 17:23, Stephen Hemminger ha scritto:
> The receiver on some versions of the chip can't keep up with full speed
> of 1G bit/sec. The receive  FIFO has hardware issues, and since I don't
> work for Marvell, working around the problem is guesswork.

Just one question: if that is true why don't I have any problem with a 
point to point gigabit link? I did transfer 3GB from ram to ram (ramfs) 
at 100+MB/s without any issue in a point to point setup, as soon as I 
attach it to the switch I have problems (very low transfer rate and tons 
of rx errors).

Niccolò